# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /mnt/aggregate/luigi-feedstock/recipe, last modified Wed Jun  2 21:50:23 2021
# ------------------------------------------------

package:
  name: luigi
  version: 3.0.3
source:
  sha256: 473960e9a213ef5693c75351929f19b8dbe427e13026c298a8ff155d74ac6751
  url: https://github.com/spotify/luigi/archive/3.0.3.tar.gz
build:
  entry_points:
    - luigi = luigi.cmdline:luigi_run
    - luigi-deps = luigi.tools.deps:main
    - luigi-deps-tree = luigi.tools.deps_tree:main
    - luigi-grep = luigi.tools.luigi_grep:main
    - luigid = luigi.cmdline:luigid
  number: '0'
  script: /opt/conda/conda-bld/luigi_1622731372075/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/bin/python
    -m pip install . --no-deps -vv
  string: py39hd43f75c_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - ca-certificates 2021.4.13 hd43f75c_1
    - certifi 2021.5.30 py39hd43f75c_0
    - ld_impl_linux-aarch64 2.36.1 h0ab8de2_3
    - libffi 3.3 h7c1a80f_2
    - libgcc-ng 10.2.0 h1234567_51
    - libgomp 10.2.0 h1234567_51
    - libstdcxx-ng 10.2.0 h1234567_51
    - ncurses 6.2 hfd63f10_0
    - openssl 1.1.1k hfd63f10_1
    - pip 21.0.1 py39hd43f75c_0
    - python 3.9.5 hc137634_3
    - readline 8.1 hfd63f10_0
    - setuptools 52.0.0 py39hd43f75c_0
    - sqlite 3.35.4 h017fe0a_1
    - tk 8.6.10 h8ea0f78_0
    - tzdata 2020f h52ac0ba_0
    - wheel 0.36.2 pyhd3eb1b0_0
    - xz 5.2.5 hfd63f10_1
    - zlib 1.2.11 hfd63f10_5
  run:
    - python >=3.9,<3.10.0a0
    - python-daemon
    - python-dateutil >=2.7.5,<3
    - setuptools
    - tenacity >=6.3.0,<7
    - tornado >=5.0,<7
  run_constrained:
    - prometheus_client ==0.5.0
    - toml <2.0.0
test:
  commands:
    - luigi --help
    - luigid --help
    - luigi-grep --help
    - luigi-deps --help
    - luigi-deps-tree --help
    - pip check
  imports:
    - luigi
    - luigi.configuration
    - luigi.contrib
    - luigi.contrib.hdfs
    - luigi.scheduler
    - luigi.tools
  requires:
    - pip
about:
  description: 'Luigi handles dependency resolution, workflow management, visualization,

    handling failures, command line integration, and much more. It also comes

    with Hadoop support built in.

    '
  dev_url: https://github.com/spotify/luigi
  doc_url: https://luigi.readthedocs.io/en/stable/
  home: https://github.com/spotify/luigi
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: Workflow mgmgt + task scheduling + dependency resolution.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - kwilcox
    - nehaljwani
    - ocefpaf
